#
# spec file for package ghc-dejafu
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name dejafu
Name:           ghc-%{pkg_name}
Version:        1.3.2.0
Release:        6.7
Summary:        A library for unit-testing concurrent programs
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-concurrency-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-leancheck-devel
BuildRequires:  ghc-profunctors-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-ref-fd-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel

%description
/[Déjà Fu is] A martial art in which the user's limbs move in time as well as
space, […] It is best described as "the feeling that you have been kicked in
the head this way before"/ -- Terry Pratchett, Thief of Time

This package builds on the
[concurrency](https://hackage.haskell.org/package/concurrency) package by
enabling you to deterministically test your concurrent programs.

See the [website](https://dejafu.readthedocs.io) or README for more.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.rst README.markdown

%changelog
* Thu Apr 12 2018 psimons@suse.com
- Update dejafu to version 1.3.2.0.
  A more detailed change log is not available.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 0.7.0.2.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.4.0.0 revision 0 with cabal2obs.
* Mon Jul 25 2016 psimons@suse.com
- Update to version 0.3.2.1 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.3.2.0 revision 0 with cabal2obs.
